Bug 224897 - New port: devel/ros-urdfdom_headers headers for URDF parsers in ROS
Summary: New port: devel/ros-urdfdom_headers headers for URDF parsers in ROS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 224898
  Show dependency treegraph
 
Reported: 2018-01-04 14:09 UTC by Trenton Schulz
Modified: 2019-09-25 04:38 UTC (History)
2 users (show)

See Also:


Attachments
sharfile for devel/ros-urdfdom_headers (463.04 KB, text/plain)
2018-01-04 14:09 UTC, Trenton Schulz
no flags Details
Updated sharfile (2.37 KB, text/plain)
2019-09-17 10:34 UTC, Trenton Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2018-01-04 14:09:13 UTC
Created attachment 189398 [details]
sharfile for devel/ros-urdfdom_headers

Another building block for ROS. I don't know why ROS seperates the headers from the actual tools, but they seem to have done this intentionally.
Comment 1 Trenton Schulz 2019-09-17 10:34:28 UTC
Created attachment 207559 [details]
Updated sharfile

Updated sharfile to work with newer ports stuff and updated version of software.
Comment 2 Kurt Jaeger freebsd_committer 2019-09-25 04:38:21 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-09-25 04:38:50 UTC
A commit references this bug:

Author: pi
Date: Wed Sep 25 04:38:19 UTC 2019
New revision: 512767
URL: https://svnweb.freebsd.org/changeset/ports/512767

Log:
  New port: devel/ros-urdfdom_headers

  This package contains a the headers for the C++ parser for the Unified
  Robot Description Format (URDF), which is an XML format for
  representing a robot model in ROS.

  WWW: https://wiki.ros.org/urdf

  PR:		224897
  Submitted by:	Trenton Schulz <trenton@norwegianrockcat.com>

Changes:
  head/devel/Makefile
  head/devel/ros-urdfdom_headers/
  head/devel/ros-urdfdom_headers/Makefile
  head/devel/ros-urdfdom_headers/distinfo
  head/devel/ros-urdfdom_headers/pkg-descr
  head/devel/ros-urdfdom_headers/pkg-plist